OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFGraph

# IFGraph_SCRoots Class Reference

determines strong componants in a graph which are Roots

`#include <IFGraph_SCRoots.hxx>`

Inheritance diagram for IFGraph_SCRoots:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IFGraph_SCRoots (const Interface_Graph &agraph, const Standard_Boolean whole)
| creates with a Graph, and will analyse : whole True : all the contents of the Model whole False : sub-parts which will be given later
Standard_EXPORT | IFGraph_SCRoots (IFGraph_StrongComponants &subparts)
| creates from a StrongComponants which was already computed
virtual Standard_EXPORT void | Evaluate ()
| does the computation

## Constructor & Destructor Documentation

Standard_EXPORT IFGraph_SCRoots::IFGraph_SCRoots | ( | const Interface_Graph & | agraph,
|  | const Standard_Boolean | whole
| ) |

Standard_EXPORT IFGraph_SCRoots::IFGraph_SCRoots | ( | IFGraph_StrongComponants & | subparts | ) |

## Member Function Documentation

virtual Standard_EXPORT void IFGraph_SCRoots::Evaluate | ( |  | ) | `[virtual]`

| Reimplemented from IFGraph_StrongComponants.

void IFGraph_SCRoots::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from IFGraph_StrongComponants.

void* IFGraph_SCRoots::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from IFGraph_StrongComponants.

void* IFGraph_SCRoots::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from IFGraph_StrongComponants.

The documentation for this class was generated from the following file:

- IFGraph_SCRoots.hxx